commit:     5bee4e4784e748ef4a7a2d21d88945d268b00d7b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May  4 19:24:51 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May  4 19:57:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5bee4e47

dev-python/lit: Add 19.0.0_pre20240504 snapshot

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/lit/Manifest                      |  1 +
 dev-python/lit/lit-19.0.0_pre20240504.ebuild | 45 ++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 7208264ba84d..1eab4b42dc8e 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -9,3 +9,4 @@ DIST llvm-project-18.1.4.src.tar.xz.sig 566 BLAKE2B 
b74fd219d7bcdf197b4e711cfbb2
 DIST llvm-project-18.1.5.src.tar.xz 132061072 BLAKE2B 
bfdd987d5992a4d94ae8b14792df3be67a8e8fdf1daef9834cdaa2132df1b7ddb72ba0aabbb34b171a73d0f3b2b0f61e7160f0b278a67fd4850e3f501fd21531
 SHA512 
9e2f1e251b3754a24a0b39676d78c98692887c05c85cf0bee50fd44d9635290019930d4dabd1ff4ba3c9c1067e7e0e09aa1bbcd3d76687f919a1d44ba85eee20
 DIST llvm-project-18.1.5.src.tar.xz.sig 566 BLAKE2B 
ad935db71ec3b9fc885d696af440764a71fe7cafc5b3ca0b25a2963100d9cb3790392daebcac1341716c95a8da3c6243f5a8667fea1ed18b93fc8baa495414c9
 SHA512 
3cbca1059d940f3bd7bd72d68f2828039b66304980cc5f43769649e5494fc7d71117bf8aba5cc7f7a2ffca52f60ba30fadf3b28f984fd49ddb14300e30b45237
 DIST llvm-project-338561657685c1831a53563b1bc36ffc7470239e.tar.gz 209715501 
BLAKE2B 
49152479d4f2cae430e783784d0cfcc129134f5cc0bf12c72701cd15e59cb3e1be2f61385ba9baa93d1d1193e89374ac8877b909650c163b681d1fcd26732cdc
 SHA512 
d34bbe82e85c5b9d493029ad7b46e802f06f7e7a8a48515d0043c58c3251271f8f3e1e11c47eb91bd3db2477f819d33b43ddebb276eb9601c5ad141e463c9682
+DIST llvm-project-76aa042dde6ba9ba57c680950f5818259ee02690.tar.gz 210235525 
BLAKE2B 
fbbb8e70e0a08bde1fa2277746f692399fa15015b69693f5e8d3297abf02dfb7b36c535880f5c6924c870652dd3106936776d57c34b22234a5419f75b3561bb7
 SHA512 
9107551ceb2b28aa735006144b3344801ea861d7b49eae4881831af507314fb8da2bf5e8a3a407aeebd2eee01fbfad2ca90269d2331fe43cca5c2cc49dd257b7

diff --git a/dev-python/lit/lit-19.0.0_pre20240504.ebuild 
b/dev-python/lit/lit-19.0.0_pre20240504.ebuild
new file mode 100644
index 000000000000..3d0315962098
--- /dev/null
+++ b/dev-python/lit/lit-19.0.0_pre20240504.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/";
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+       test? (
+               dev-python/psutil[${PYTHON_USEDEP}]
+               sys-devel/llvm
+       )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+       # flaky test
+       # https://github.com/llvm/llvm-project/issues/72022
+       rm tests/progress-bar.py || die
+
+       cd "${WORKDIR}" || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local -x LIT_PRESERVES_TMP=1
+       local litflags=$(get_lit_flags)
+       ./lit.py ${litflags//;/ } tests || die
+}

Reply via email to